curl https://api2.ecomailapp.cz/templates/1234 \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json"
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://api2.ecomailapp.cz/templates/1234');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
$response = curl_exec($ch);
curl_close($ch);
{
"id": 1234,
"folder": 0,
"name": "Some Template Name",
"html": "<html>Html code here...</html>",
"campaign_id": 5678,
"created_at": "2024-02-12 15:13:16",
"updated_at": "2024-02-12 15:13:26"
}
Templates
Get template
Retrieve a specific template by its ID.
GET
/
templates
/
{template_id}
curl https://api2.ecomailapp.cz/templates/1234 \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json"
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://api2.ecomailapp.cz/templates/1234');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
$response = curl_exec($ch);
curl_close($ch);
{
"id": 1234,
"folder": 0,
"name": "Some Template Name",
"html": "<html>Html code here...</html>",
"campaign_id": 5678,
"created_at": "2024-02-12 15:13:16",
"updated_at": "2024-02-12 15:13:26"
}
integer
required
Template ID.
curl https://api2.ecomailapp.cz/templates/1234 \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json"
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://api2.ecomailapp.cz/templates/1234');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
$response = curl_exec($ch);
curl_close($ch);
{
"id": 1234,
"folder": 0,
"name": "Some Template Name",
"html": "<html>Html code here...</html>",
"campaign_id": 5678,
"created_at": "2024-02-12 15:13:16",
"updated_at": "2024-02-12 15:13:26"
}
⌘I